%define version 2.5.0
%define release alt2
%define	origname TwistedCore
%setup_python_module twisted-core

Name:           %{packagename}
Version:        %{version}
Release:        %{release}
Summary:        An asynchronous networking framework written in Python

Group:          Development/Python
License:        MIT
URL:            http://twistedmatrix.com/trac/wiki/TwistedCore
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Twisted/2.5/%{origname}-%{version}.tar.bz2
Source1:	README.ALT-ru_RU.UTF-8

# Automatically added by buildreq on Mon Nov 05 2007
BuildRequires: python-dev python-modules-compiler python-module-zope.interface

BuildRequires:  python-devel
BuildRequires:  python-module-zope.interface

Requires:       python-module-zope.interface
Requires:       python-module-OpenSSL

%add_python_req_skip AppKit Carbon Foundation GDK PAM cfsupport kqsyscall msvcrt pythoncom pywintypes win32api win32com win32event win32file win32gui win32pipe win32process win32security win32con
%add_python_req_skip pyui wx wxPython gtk Tkinter gnome tkFileDialog tkMessageBox tkSimpleDialog

%description
An extensible framework for Python programming, with special focus
on event-based network programming and multiprotocol integration.

It is expected that one day the project will expanded to the point
that the framework will seamlessly integrate with mail, web, DNS,
netnews, IRC, RDBMSs, desktop environments, and your toaster.

%package doc
Summary:        Documentation for Twisted Core
Group:          Documentation
Requires:       python-module-twisted-core = %{version}-%{release}

%description doc
Documentation for Twisted Core.

%package zsh
Summary:        Tab completion for Zsh and Twisted Core
Group:          System Environment/Shells
Requires:       python-module-wisted-core = %{version}-%{release}
Requires:       zsh

%description zsh
Tab completions for Zsh and Twisted Core.

%package test
Summary:        Unit tests for Twisted Core
Group:          Development/Python
Requires:       python-module-twisted-core = %{version}-%{release}
AutoReqProv:	nopython

%description test
Unit tests for Twisted Core.

%prep
%setup -q -n %{origname}-%{version}

# Generate a brief README.zsh
#awk '/^Zsh Notes:/,/^Have fun!/' twisted/python/zshcomp.py > README.zsh

%build
%__python setup.py build

# README.ALT
#%__install -p -m 644 -D %SOURCE1 %buildroot/%{_docdir}/README.ALT-ru_RU.UTF-8
cp %SOURCE1 README.ALT-ru_RU.UTF-8

%install
%__python setup.py install --root $RPM_BUILD_ROOT

# cfsupport is support for MacOSX Core Foundations, so we can delete it
rm -rf $RPM_BUILD_ROOT%{python_sitelibdir}/twisted/internet/cfsupport

# iocpreactor is a win32 reactor, so we can delete it
rm -rf $RPM_BUILD_ROOT%{python_sitelibdir}/twisted/internet/iocpreactor

# removing the test directory
#rm -rf  $RPM_BUILD_ROOT%{python_sitelibdir}/twisted/test

# Man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp -a doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/man

rm $RPM_BUILD_ROOT%{python_sitelibdir}/twisted/protocols/_c_urlarg.c
# rm $RPM_BUILD_ROOT%{python_sitelibdir}/twisted/spread/cBanana.c

# Zsh tab complete stub (a la teratorn)
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions
#sed 's#python -c#%{__python} -c#g' < twisted/python/_twisted_zsh_stub > _twisted_zsh_stub.MOD
#install -m 644 _twisted_zsh_stub.MOD $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/_twisted_zsh_stub

%clean

%files
%doc CREDITS LICENSE NEWS README 
%doc README.ALT-ru_RU.UTF-8
%{_bindir}/manhole
%{_bindir}/mktap
%{_bindir}/tap2deb
%{_bindir}/tap2rpm
%{_bindir}/tapconvert
#%{_bindir}/tkmktap
%{_bindir}/trial
%{_bindir}/twistd

%{_mandir}/man1/*

%dir %{python_sitelibdir}/twisted/
%{python_sitelibdir}/twisted/*.py*

%{python_sitelibdir}/twisted/application/
%{python_sitelibdir}/twisted/cred/
%{python_sitelibdir}/twisted/enterprise/
%{python_sitelibdir}/twisted/internet/

%dir %{python_sitelibdir}/twisted/manhole/
%{python_sitelibdir}/twisted/manhole/*.py*
%{python_sitelibdir}/twisted/manhole/*.glade

%{python_sitelibdir}/twisted/manhole/ui/
%{python_sitelibdir}/twisted/manhole/ui/*.py*
%{python_sitelibdir}/twisted/manhole/ui/*.glade
%{python_sitelibdir}/twisted/manhole/ui/gtkrc

%{python_sitelibdir}/twisted/persisted/
%{python_sitelibdir}/twisted/persisted/journal/

%dir %{python_sitelibdir}/twisted/plugins/
%{python_sitelibdir}/twisted/plugins/*.py*
%ghost %{python_sitelibdir}/twisted/plugins/dropin.cache

%dir %{python_sitelibdir}/twisted/protocols/
%{python_sitelibdir}/twisted/protocols/*.py*
%{python_sitelibdir}/twisted/protocols/*.so

%{python_sitelibdir}/twisted/protocols/gps/
%{python_sitelibdir}/twisted/protocols/mice/

%dir %{python_sitelibdir}/twisted/python/
%{python_sitelibdir}/twisted/python/*.py*

%dir %{python_sitelibdir}/twisted/python/zsh/
%{python_sitelibdir}/twisted/python/zsh/README
%{python_sitelibdir}/twisted/python/zsh/_*

%{python_sitelibdir}/twisted/scripts/

%dir %{python_sitelibdir}/twisted/spread/
%{python_sitelibdir}/twisted/spread/*.py*

%dir %{python_sitelibdir}/twisted/spread/ui/
%{python_sitelibdir}/twisted/spread/ui/*.py*
%{python_sitelibdir}/twisted/spread/ui/*.glade

%{python_sitelibdir}/twisted/tap/

%dir %{python_sitelibdir}/twisted/trial/
%{python_sitelibdir}/twisted/trial/*.py*

%dir %{python_sitelibdir}/twisted/trial/test/
%{python_sitelibdir}/twisted/trial/test/*.py*
%{python_sitelibdir}/twisted/trial/test/notpython

%files doc
%defattr(-,root,root,-)
%doc doc/*

#%files zsh
#%defattr(-,root,root,-)
#%doc README.zsh
#%{_datadir}/zsh/site-functions/_twisted_zsh_stub

%files test
%dir %{python_sitelibdir}/twisted/test/
%{python_sitelibdir}/twisted/test/*.py*
%{python_sitelibdir}/twisted/test/server.pem

%changelog
* Tue Nov 06 2007 Sergey Alembekov <rt@altlinux.ru> 2.5.0-alt2
 - skip_requires for GUI libs which is using Tkinter, gtk and wx
 - add README.ALT-ru_RU.UTF-8

* Thu Mar 29 2007 Sergey Alembekov <rt@altlinux.ru> 2.5.0-alt1
 - Build for new upstream version

